Results 1 to 4 of 4

Thread: Looking to buy DSi need some help

  1. #1
    Junior Member
    ~***** contributor~

    Join Date
    Jun 2009
    Location
    North Carolina
    Posts
    35
    Thanks
    2
    Thanked 11 Times in 10 Posts

    Looking to buy DSi need some help

    Okay so I am looking to buy a DSi but need some info. Which card would be better for me? I have no other DS and the DSi would be my only one. Ive heard the Acekard 2i is the best but you need a NDS lite or something to update. I also heard the M3i Zero is good and can be updated via pc. In your guys mind which is best for me and where are some safe places to buy. BTW i am in the US.
    Wii Friend Code: 1995-1453-6592-4861
    Conduit Code: 0173-9246-7325

  2. #2
    Senior Member
    Join Date
    Mar 2009
    Location
    USA
    Posts
    5,552
    Thanks
    364
    Thanked 2,241 Times in 1,111 Posts
    Blog Entries
    8
    You can buy an AK 2i updated for DSi 1.4 firmware, just make sure it all ready updated or else you will need a DS lite to update it. AK 2i is a good flashcart, but the firmware updates to get the latest games running are kind of slow. The M3 team is good at updates to get the latest games working. You may also want to wait until next month, the DSi XL is going to be released in Europe and USA, DSi XL has larger screens.

  3. #3
    Banned
    Join Date
    Jan 2010
    Posts
    11
    Thanks
    0
    Thanked 3 Times in 3 Posts
    Yes,Most of flashcart cann't direct support DSi 1.4U
    Only Supercard ds onei support it .
    You can got it from EbuyLife.

  4. #4
    Senior Member
    Join Date
    Mar 2009
    Location
    USA
    Posts
    5,552
    Thanks
    364
    Thanked 2,241 Times in 1,111 Posts
    Blog Entries
    8
    Quote Originally Posted by facai2010 View Post
    Yes,Most of flashcart cann't direct support DSi 1.4U
    Only Supercard ds onei support it .
    You can got it from EbuyLife.
    Some of the websites that sell flashcarts will update the flashcart for you, to wupport DSi 1.4, before sending the falshcart to you. When I purchased my AK 2i from GameByGame, it was flashed already. I didn't have to update it myself. Sadly, GameByGame does not sell flashcarts anymore.

    Puma21 - Where ever you purchase your Flashcart from, check to see if they will update the flashcart to support 1.4

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •